module XZ_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export liblzma
const liblzma_path = "/usr/lib/liblzma.so.5"
liblzma_handle = C_NULL
get_liblzma_path() = liblzma_path
const liblzma = "liblzma.so.5"
export lzmadec
const lzmadec_path = "/usr/bin/lzmadec"
lzmadec(f::Function; kw...) = f(lzmadec_path)
lzmadec(; kw...) = Cmd([lzmadec_path])
export lzmainfo
const lzmainfo_path = "/usr/bin/lzmainfo"
lzmainfo(f::Function; kw...) = f(lzmainfo_path)
lzmainfo(; kw...) = Cmd([lzmainfo_path])
export xz
const xz_path = "/usr/bin/xz"
xz(f::Function; kw...) = f(xz_path)
xz(; kw...) = Cmd([xz_path])
export xzdec
const xzdec_path = "/usr/bin/xzdec"
xzdec(f::Function; kw...) = f(xzdec_path)
xzdec(; kw...) = Cmd([xzdec_path])
export liblzma_a
const liblzma_a_path = "/usr/lib/liblzma.so"
const liblzma_a = liblzma_a_path
get_liblzma_a_path() = liblzma_a_path
function __init__()
    global liblzma_handle = dlopen(liblzma_path)
end
end
